<?
include("../fnc.php");
enlinea_alumno();
  if(!$txtrespuesta){
    alert("La respuesta no puede estar vacía","javascript:history.go(-1)");
  }
  $id_pr=dec($idp);
  $id_ev=dec($idev);
  $txtrespuesta=del_tildes($txtrespuesta);

  $qpr=mysql_query("select * from ev_d_preguntas where id = $id_pr");
  if(mysql_num_rows($qpr)==0){
    alert("Parámetros incorrectos","frm_login.php");
  }else{
    $ipr=mysql_fetch_array($qpr);
  }

  $qre=mysql_query("select * from ev_d_opciones where correcta='S' and pregunta='$id_pr'");
  if(mysql_num_rows($qre)==0){
    alert("Parámetros incorrectos","frm_login.php");
  }
  $ire=mysql_fetch_array($qre);
  if($ire[opcion]==$txtrespuesta){
    $nota=$ipr[valor];
  }else{
    $nota=0;
  }

  $sql="insert into respuestas_d (evaluacion, pregunta, alumno, respuesta, nota, fecha, ip)
        values('$id_ev', $id_pr, '$uuser','$txtrespuesta', $nota, '$fechahora','$rmhost')";

  $qverifica=mysql_query("select * from respuestas_d where alumno='$uuser' and pregunta='$id_pr'");
  if(mysql_num_rows($qverifica)==0){
    $insert=mysql_query($sql);
    if($insert){
      header("Location: responder_evaluacion.php?idev=$idev");
    }else{
      alert("Error: ".mysql_error(),"javascript:history.go(-1)");
    }
  }else{
    header("Location: responder_evaluacion.php?idev=$idev");
  }
?>